
#define STATEMENTS_MACRO 657
#define LJ_CONDENSED         "(10U(s0p16.67h8v0s0b0T"
#define LJ_NORMAL            "(10U(s0p10h12v0s0b3T"
#define LJ_HELV14BOLD     "(0U(s1p14.0v0s3b4148T"
#define LJ_HELV12BOLD     "(0U(s1p12v0s3b4148T"
#define LJ_UNIVERSE12     "(0U(s1p12v0s0b4148T"
#define LJ_I10_LPRINTER   "(0N(s0p16.67h8.5v0s0b0T"


PROCEDURE Stm
PRIVATE lDone


  set printer to prn

  do CreateStmMacro

  lDone = .F.
  DO WHILE .NOT. lDone
    * This calls the macro to print the form
    ??? lj_Run(STATEMENTS_MACRO)

    * This is where you'd put code to fill in the blanks

    * In this sample, we'll only print one
    lDone = .T.
  ENDDO

  * Delete the macro when done
  ??? lj_Del(STATEMENTS_MACRO)

  set printer to

RETURN


PROCEDURE CreateStmMacro
PRIVATE  nCat1 ,nCat2 ,nCat3
  nCat1 = 30
  nCat2 = 60
  nCat3 = 90

 ****** BEGIN MACRO ******
  ??? lj_Rec(STATEMENTS_MACRO)
 ****** draw boxes *******


  * the address box
  ??? lj_Box(510,200,310,1300,5,10,0)
  * big box
  ??? lj_Box(900,0,1800,2350,5,0,0)
    * small info box
    ??? lj_Box(510,1725,310,500,5,0,0)
      * thin heading lines
      ??? lj_Goto(550,1725)+lj_HLine(500,1)
      ??? lj_Goto(653,1725)+lj_HLine(500,1)
      ??? lj_Goto(757,1725)+lj_HLine(500,1)
      * aboves shading
      ??? lj_Box(510,1725,40,500,0,5,0)
      ??? lj_Box(613,1725,40,500,0,5,0)
      ??? lj_Box(717,1725,40,500,0,5,0)
      * dividing lines
      ??? lj_Goto(613,1725)+lj_HLine(500,5)
      ??? lj_Goto(717,1725)+lj_HLine(500,5)
    * horizontal line under headings
    ??? lj_Goto(1030,0)+lj_HLine(2350,5)
    * small totals box
    ??? lj_Box(2700,850,100,1500,5,0,0)
    * column lines
    ??? lj_Goto(900,600)  + lj_VLine(1800,5)
    ??? lj_Goto(900,850)  + lj_VLine(1800,5)
    ??? lj_Goto(900,1100) + lj_VLine(1900,5)
    ??? lj_Goto(900,1350) + lj_VLine(1900,5)
    ??? lj_Goto(900,1600) + lj_VLine(1900,5)
    ??? lj_Goto(900,1850) + lj_VLine(1900,5)
    ??? lj_Goto(900,2100) + lj_VLine(1900,5)
    * shading of last three columns
    ??? lj_Box(900,1600,1900,250,0,2 ,0)
    ??? lj_Box(900,1850,1900,250,0,10,0)
    ??? lj_Box(900,2100,1900,250,0,20,0)


  ??? LJ_HELV14BOLD
  ??? lj_GoTo(40,930) + "S T A T E M E N T"

  ??? LJ_UNIVERSE12

  ??? lj_Goto(810, 220)  + "Attn: Accounts Payable"

 ****** normal code ******
  ??? LJ_CONDENSED
  ??? lj_Goto(950,0)+"    Inv                            Transaction       Open                    "
  ??? lj_Goto(950,1400)+"1-"+ Str(nCat1,2)+" Days"
  ??? lj_Goto(950,1650)+Str(nCat1+1,2)+"-"+Str(nCat2,2)+" Days"
  ??? lj_Goto(950,1900)+Str(nCat2+1,2)+"-"+Str(nCat3,2)+" Days"
  ??? lj_Goto(950,2130)+"Over "+Str(nCat3,2)+" Days"

  ??? lj_Goto(1000,0)+"   Number     Date      Type          Amount         Total      Current       Past Due      Past Due      Past Due     Past Due  "

  * headings for info box
  ??? lj_Goto(545,1870) + "Date Printed"
  ??? lj_Goto(648,1865) + "Customer Code"
  ??? lj_Goto(752,1870) + "Page Number"

 ****** set back to top of page ******
  ??? lj_Goto(0,0)

 ****** END MACRO ******
  ??? lj_Rec()
RETURN



























